Page MenuHomePhabricator

Deploy ApiFeatureUsage extension on WMF wikis
Closed, ResolvedPublic

Description

Details at https://www.mediawiki.org/wiki/API/Architecture_work/Planning#Deprecated_API_usage_report_on_WMF_wikis

The extension exposes certain sanitized data about the usage of deprecated API features logged on the server, as the existing deprecation warnings delivered to the client may not be seen by the developer of the tool.

Besides the extension itself, Gerrit change 173336 is required to populate the data in Elasticsearch.

Related Objects

Event Timeline

Anomie created this task.Nov 13 2014, 5:43 PM
Anomie claimed this task.
Anomie raised the priority of this task from to Needs Triage.
Anomie updated the task description. (Show Details)
Anomie added a project: MediaWiki-Core-Team.
Anomie moved this task to In Dev/Progress on the MediaWiki-Core-Team board.
Anomie changed Security from none to None.
Anomie added a subscriber: Anomie.

Stuff needing review:

Once those are merged, we can look at deploying to Beta Labs for more testing.

For eventual deploy to production:

Anomie renamed this task from Deprecated API usage report on WMF wikis to Deploy ApiFeatureUsage extension on WMF wikis.Dec 17 2014, 5:21 PM
Anomie triaged this task as Normal priority.
Anomie updated the task description. (Show Details)
greg added a subscriber: greg.Jan 12 2015, 10:55 PM

Adding T88732 as a blocker: it seems logstash is down entirely until that gets fixed, meaning nothing gets added to the ApiFeatureUsage indexes.

Krenair removed a project: MediaWiki-extensions-ApiFeatureUsage.

Why did you do that?

Krenair added a subscriber: Krenair.

I was removing generic extension projects from a few WMF-deployment tickets. ApiFeatureUsage probably has pretty Wikimedia-specific use case though, putting it back

Reedy added a subscriber: Reedy.May 16 2015, 4:34 PM

Sounds like this shouldn't be too far from being ready for production, should be good to go on beta now at least?

Anomie added a subscriber: bd808.May 16 2015, 6:40 PM

It has been on Beta for a while now, see http://en.wikipedia.beta.wmflabs.org/wiki/Special:ApiFeatureUsage.

Although I note there seems to be something wrong with the log events getting into logstash in Beta Labs. @bd808, any idea?

bd808 added a comment.May 18 2015, 3:49 PM

Although I note there seems to be something wrong with the log events getting into logstash in Beta Labs. @bd808, any idea?

First I'm hearing of it not working, so we should look into it. Have you checked the production index to see if it is populating as expected?

@greg: Bryan just fixed T99541 (which only affected Beta Labs anyway), and told me that logstash seems stable. So what do we need to do now to resolve this bug?

greg added a comment.May 19 2015, 9:15 AM

@Anomie: Deploy it (and do that ES stuff)? Looks like pre-deploy items have been taken care of.

Change 212012 had a related patch set uploaded (by Anomie):
Add ApiFeatureUsage [wmf5]

https://gerrit.wikimedia.org/r/212012

Change 212013 had a related patch set uploaded (by Anomie):
Add ApiFeatureUsage [wmf6]

https://gerrit.wikimedia.org/r/212013

Change 212014 had a related patch set uploaded (by Anomie):
Add ApiFeatureUsage in production and enable on group0

https://gerrit.wikimedia.org/r/212014

Change 212015 had a related patch set uploaded (by Anomie):
Add ApiFeatureUsage extension to default.conf

https://gerrit.wikimedia.org/r/212015

Change 212012 merged by jenkins-bot:
Add ApiFeatureUsage [wmf5]

https://gerrit.wikimedia.org/r/212012

Change 212013 merged by jenkins-bot:
Add ApiFeatureUsage [wmf6]

https://gerrit.wikimedia.org/r/212013

Change 212014 merged by jenkins-bot:
Add ApiFeatureUsage in production and enable on group0

https://gerrit.wikimedia.org/r/212014

Change 212015 merged by jenkins-bot:
Add ApiFeatureUsage extension to default.conf

https://gerrit.wikimedia.org/r/212015

Change 215901 had a related patch set uploaded (by Anomie):
Enable ApiFeatureUsage everywhere

https://gerrit.wikimedia.org/r/215901

Change 215901 merged by jenkins-bot:
Enable ApiFeatureUsage everywhere

https://gerrit.wikimedia.org/r/215901

Glaisher added a subscriber: Glaisher.

@Anomie can this task be closed now?

Anomie closed this task as Resolved.Jul 3 2015, 2:10 PM